Bug 154354 - No DMA on Latitude D810 CD/DVD
No DMA on Latitude D810 CD/DVD
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-10 17:17 EDT by Chris Tracy
Modified: 2015-01-04 17:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:37:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output from 2.6.10-1.770_FC3 (15.64 KB, text/plain)
2005-04-10 17:19 EDT, Chris Tracy
no flags Details
D810 lspci -vv output (14.40 KB, text/plain)
2005-04-10 17:24 EDT, Chris Tracy
no flags Details

  None (edit)
Description Chris Tracy 2005-04-10 17:17:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.10 (X11; Linux i686; U;) Gecko/20030412

Description of problem:
The CD/DVD drive on my Latitude D810 seems to be handled by the ide-generic driver, leaving it without DMA.  This is an Intel Sonoma based system with an ICH6M IDE/SATA chipset.  The hard drive is seen by ata_piix as sda and DOES work with DMA, but when trying to enable DMA on the CD, I get:

# hdparm -d1 /dev/hdc
/dev/hdc:
 setting using_dma to 1 (on)
 HDIO_SET_DMA failed: Operation not permitted
 using_dma    =  0 (off)

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.770_FC3

How reproducible:
Always

Steps to Reproduce:
1. Install FC3 on D810 (or D610 or M70 or at least a few other Sonoma based laptops, according to postings I've found via google)
2. hdparm -d1 /dev/hdc
  

Actual Results:  No DMA for the CD/DVD drive.

Expected Results:  DMA should be enabled.

Additional info:

I have downloaded and installed 2.6.11.7 from kernel.org and so far have had no success with it.  I also had no success with 2.6.11-1.14_FC3 currently in Fedora's updates-testing repository.

I have searched this issue extensively online and found people reporting success with SuSE's KOTD 2.6.11.4:

http://groups-beta.google.com/group/comp.os.linux.hardware/browse_thread/thread/557bf5084faec1f3/64fa5da1b925cc52

Thus far I have not examined that kernel to see how it's configured.
Comment 1 Chris Tracy 2005-04-10 17:19:03 EDT
Created attachment 112934 [details]
dmesg output from 2.6.10-1.770_FC3
Comment 2 Chris Tracy 2005-04-10 17:24:48 EDT
Created attachment 112935 [details]
D810 lspci -vv output
Comment 3 Chris Tracy 2005-04-11 19:56:49 EDT
Well, I've managed to build SuSE's KOTD 2.6.11.4-20050407134854 under FC3 on my
D810.  (Had to disable a few modules I wasn't using anyway due to gcc-3.4
inlining complaints)  Now my CD/DVD drive is seen as an SATA device, but
unfortunately, its speed is even lower than before.

hdparm, of course, no longer works on the device, but I'm guessing there's
another way to enable DMA on it.  (Though I've not yet had any luck finding it)

Here's the 'dmesg' output from this kernel regarding SATA:

SCSI subsystem initialized
libata version 1.10 loaded.
input: AT Translated Set 2 keyboard on isa0060/serio0
ata_piix version 1.03
ACPI: PCI interrupt 0000:00:1f.2[B] -> GSI 7 (level, low) -> IRQ 7
PCI: Setting latency timer of device 0000:00:1f.2 to 64
ata1: SATA max UDMA/133 cmd 0x1F0 ctl 0x3F6 bmdma 0xBFA0 irq 14
ata1: dev 0 cfg 49:2f00 82:7c6b 83:5b08 84:4003 85:7c69 86:1a08 87:4003 88:203f
ata1: dev 0 ATA-6, max UDMA/100, 156301488 sectors: LBA
ata1(0): applying bridge limits
ata1: dev 0 configured for UDMA/100
scsi0 : ata_piix
  Vendor: ATA       Model: TOSHIBA MK8026GA  Rev: PA00
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 156301488 512-byte hdwr sectors (80026 MB)
SCSI device sda: drive cache: write back
SCSI device sda: 156301488 512-byte hdwr sectors (80026 MB)
SCSI device sda: drive cache: write back
 sda: sda1 sda2 sda3 < sda5 sda6 sda7 >
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
ata2: SATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0xBFA8 irq 15
input: PS/2 Mouse on isa0060/serio1
input: AlpsPS/2 ALPS GlidePoint on isa0060/serio1
ata2: dev 0 cfg 49:0b00 82:0000 83:0000 84:0000 85:0000 86:0000 87:0000 88:0407
ata2: dev 0 ATAPI, max UDMA/33
ata2: dev 0 configured for UDMA/33
scsi1 : ata_piix
  Vendor: _NEC      Model: DVD+-RW ND-6500A  Rev: 202C
  Type:   CD-ROM                             ANSI SCSI revision: 05
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
Attached scsi CD-ROM sr0 at scsi1, channel 0, id 0, lun 0
Comment 4 Victor Stratan 2005-06-20 06:08:24 EDT
I had the same problem with a "SAMSUNG CDRW/DVD SN-324S  Rev: U303" on Dell
Latitude D810.

I managed to repair the problem:
1. Expand FC3 kernel sources 2.6.11
2. modify include/linux/libata.h 
   #define ATA_ENABLE_ATAPI          /* define to enable ATAPI support */
3. modify default FC3 kernel build config:
   - include SCSI in kernel
   - put IDE as module
4. recompile kernel

Speed for read improved significantly, bouth for CD and DVD.
Wrote one CD with no problems.
Comment 5 Dave Jones 2005-07-15 16:34:05 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-10-02 21:10:23 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.
Comment 7 Chris Tracy 2005-11-30 15:57:50 EST
Sorry for abandoning this bug.  It occurs on my laptop and I rarely have the CD
in it as I usually use the bay for the second battery.  Today I tested again and
still have the same issue.  I'm currently running kernel-2.6.12-1.1381_FC3 which
is the latest, as far as I know.
Comment 8 Dave Jones 2006-01-16 17:25:47 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 9 Dave Jones 2006-02-03 02:21:39 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 10 John Thacker 2006-05-04 09:37:48 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.